import SGPClient from 'sgp';
const client = new SGPClient({
apiKey: 'My API Key',
});
const response = await client.applicationVariants.patch('application_variant_id');
console.log(response);{
"id": "<string>",
"name": "<string>",
"configuration": {
"nodes": [
{
"id": "<string>",
"application_node_schema_id": "text_input_schema",
"configuration": {}
}
],
"edges": [
{
"from_node": "<string>",
"to_node": "<string>",
"from_field": "<string>",
"to_field": "<string>"
}
],
"metadata": {}
},
"version": "<string>",
"application_spec_id": "<string>",
"draft": true,
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}Updates a application variant
This API can be used to update the application variant that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Application Variant API call as a path parameter.
Review the request schema to see the fields that can be updated.
import SGPClient from 'sgp';
const client = new SGPClient({
apiKey: 'My API Key',
});
const response = await client.applicationVariants.patch('application_variant_id');
console.log(response);{
"id": "<string>",
"name": "<string>",
"configuration": {
"nodes": [
{
"id": "<string>",
"application_node_schema_id": "text_input_schema",
"configuration": {}
}
],
"edges": [
{
"from_node": "<string>",
"to_node": "<string>",
"from_field": "<string>",
"to_field": "<string>"
}
],
"metadata": {}
},
"version": "<string>",
"application_spec_id": "<string>",
"draft": true,
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}Show child attributes
The user-defined application variant metadata.
Configuration sent to agent service.
The raw configuration string for the application variant.
WORKFLOW, PLAN, STATE_MACHINE Successful Response
Show child attributes
Show child attributes
text_input_schema, text_output_schema, knowledge_base_input_schema, knowledge_base_schema, multi_knowledge_base_input_schema, multi_knowledge_base_schema, reranker_schema, prompt_engineering_schema, completion_model_input_schema, completion_model_schema, external_endpoint_schema, document_input_schema, map_reduce_schema, document_search_schema, document_prompt_schema User defined metadata about the application
"V0"Boolean to indicate whether the variant is in draft mode
The ID of the account that owns the given entity.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
Optional description of the application variant
The date and time that the variant was published.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account